<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h1>#{messages['net.ihe.gazelle.cdagen.CDASamples']}</h1>
    <h:form id="globalForm">
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDASamples']}</f:facet>
        <rich:dataTable id="logListTable" onRowMouseOver="this.style.backgroundColor='#94C2E6'; this.style.cursor='pointer';" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" value="#{sampleManager.cdas}" var="cda" rows="15" render="ds">
          <g:column id="idColumn" sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.ID']}</ui:define>
            <a href="#{sampleManager.permanentLink(cda)}" target="_blank">#{cda.id}</a>
          </g:column>
          <g:column id="loginColumn" sortBy="#{'author'}" filterBy="#{'author'}" filterEvent="onkeyup"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Author']}</ui:define>
						#{sampleManager.getUserName(cda.author)}
					</g:column>
          <g:column id="dateColumn" sortBy="#{'validationDate'}"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Date']}</ui:define>
						#{cda.creationDate}
					</g:column>
          <g:column id="resultColumn" sortBy="#{'path'}" filterBy="#{'path'}" filterEvent="onkeyup"><ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Name']}</ui:define>
						#{cda.path}
					</g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action_2']}</ui:define>
            <center>
              <h:panelGrid columns="3">
                <h:outputLink value="#{sampleManager.permanentLink(cda)}" target="_blank">
                	<span class="gzl-icon-search"></span>
                </h:outputLink>
                <h:commandLink action="#{sampleManager.editCDADocument(cda)}"   rendered="#{sampleManager.canRender(cda)}">
                	<span class="gzl-icon-pencil"></span>
                </h:commandLink>
              </h:panelGrid>
            </center>
          </g:column>
          <f:facet name="footer">
            <s:div style="text-align: center;">
              <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true" />
            </s:div>
          </f:facet>
        </rich:dataTable>
      </gri:panel>
    </h:form>
  </ui:define>
</ui:composition>
